<template>
  <v-app id="login">
    <v-content>
      <div class="linel"></div>
      <div class="line2"></div>
      <div class="line3"></div>

      <header-tecnm></header-tecnm>
      <v-container class="fill-height" fluid>
        <v-row
          align="left"
          class="elevation-12"
          style="background-color: white; border-radius: 0 20px 20px 0; max-width: 85%; min-height: 45vh"
        >
          <v-col cols="12" sm="5" md="5" lg="5" xl="5">
            <h1 style="color: #1B396A; margin-top: 10vh" align="center">INICIAR SESIÓN</h1>
          </v-col>
          <v-col cols="12" sm="5" md="5" lg="5" xl="5">
            <v-form style="padding: 5vh 0">
              <v-text-field
                id="user"
                label="Usuario"
                name="login"
                prepend-icon="mdi-account-circle"
                type="text"
              />
              <v-text-field
                id="password"
                label="Contraseña"
                name="password"
                prepend-icon="mdi-lock"
                type="password"
              />
            </v-form>
            <v-btn
              color="#1B396A"
              style="color: white; margin-left: 50%; transform: translateX(-50%);"
              @click="ingresar()"
            >Ingresar</v-btn>
          </v-col>
        </v-row>
      </v-container>
    </v-content>
  </v-app>
</template>

<script>
import headerTecnm from "@/components/common/headerTecnm";
import firebase from "firebase";
export default {
  components: {
    headerTecnm
  },
  data() {
    return {
      // temp: [
      // {
      user: "",
      pass: ""
      // }
      //]
    };
  },
  //props: {
  //  source: String
  //},
  methods: {
    ingresar() {
      //this.temp = this.$store.getters.getUsers
      var user = document.getElementById("user").value;
      user = user.toLowerCase();
      var pass = document.getElementById("password").value;
      if (user.length > 0 && pass.length > 0) {
        var flag = false;
        //console.log(this.user + " * " + this.pass )
        //login firebase
        if (user && pass) {
          firebase
            .auth()
            .signInWithEmailAndPassword(user, pass)
            // .then(userx => (window.location.hash = "#/home"))
            .then(userx => this.$router.push("/home"))
            .catch(function(error) {
              // Handle Errors here.
              // var errorCode = error.code;
              // var errorMessage = error.message;
              // [START_EXCLUDE]
              console.log(error);
            });
        } else {
          console.log("error");
        }
        for (var i = 0; i < this.temp.length; i++) {
          if (
            this.temp[i].user.toLowerCase() == user &&
            this.temp[i].pass == pass
          ) {
            this.$store.commit("login", this.temp[i].user);
            flag = true;
            this.$router.push("/home");
            //location.href = "/home"
          }
        }
        if (!flag) alert("Usuario no encontrado");
      } else {
        alert("Llena el formulario correctamente para continuar");
      }
    }
  }
};
</script>

<style lang="scss" scoped>
.linel {
  border-left: 1vw solid white;
  border-radius: 10px;
  height: 65vh;
  position: absolute;
  left: 90%;
  top: 0;
}
.line2 {
  border-left: 1vw solid white;
  border-radius: 10px;
  height: 80vh;
  position: absolute;
  left: 93%;
  top: 0;
}
.line3 {
  border-left: 1vw solid white;
  border-radius: 10px;
  height: 95vh;
  position: absolute;
  left: 96%;
  top: 0;
}
</style>
